package com.jld.vod.dao

import androidx.paging.DataSource
import androidx.room.*
import com.jld.vod.model.bean.GameBean


/**
 * @author ZhaoFuXin
 * @Email：18276061387@163.com
 * @description:
 * @date :2019/11/28 15:31
 */
@Dao
interface GameDao {
    @Insert
    fun insertAll(vararg users: GameBean)

    @Query("SELECT * FROM GameBean")
    fun getAll(): List<GameBean>

    /**
     * 获取所有设备给paging使用
     */
    @Query("SELECT * FROM GameBean")
    fun getAlls(): DataSource.Factory<Int, GameBean>

    @Query(" DELETE FROM GameBean")
    fun delete()
}